summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2020-06-28 01:34:49 +0200
committerAndreas K. Hüttel <dilfridge@gentoo.org>2020-06-28 01:34:49 +0200
commit359d7c57fbcbd338d309bada2d67423b94cf6d06 (patch)
tree880390314bde44a23a2c1ca3d8b3876542315893
parentnet-misc/rdate: Version bump (diff)
downloadgentoo-359d7c57fbcbd338d309bada2d67423b94cf6d06.tar.gz
gentoo-359d7c57fbcbd338d309bada2d67423b94cf6d06.tar.bz2
gentoo-359d7c57fbcbd338d309bada2d67423b94cf6d06.zip
net-misc/ntpsec: Version bump
Bug: https://bugs.gentoo.org/721150 Package-Manager: Portage-2.3.87, Repoman-2.3.20 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
-rw-r--r--net-misc/ntpsec/Manifest1
-rw-r--r--net-misc/ntpsec/ntpsec-1.1.9.ebuild155
-rw-r--r--net-misc/ntpsec/ntpsec-9999.ebuild5
3 files changed, 157 insertions, 4 deletions
diff --git a/net-misc/ntpsec/Manifest b/net-misc/ntpsec/Manifest
index caba39b8d1d..d0f3a234207 100644
--- a/net-misc/ntpsec/Manifest
+++ b/net-misc/ntpsec/Manifest
@@ -1,2 +1,3 @@
DIST ntpsec-1.1.7.tar.gz 2534524 BLAKE2B 5777ecca4ceb988632fadc0e7124530993a7758cdf335e8cd90f0ec1a8b643be89b67c0e2bf49d6d7193bf92ded138af0df4b5856c0d113f552ef22dd8a6cadf SHA512 734b12820539e655e504dd5071a58b9d1f80c0b0c3c7458c797ba7ada23d8e446751fbcbddd9832d9151a3ba9464749878db9e77e23cdd5f6215ab9e1d908ae9
DIST ntpsec-1.1.8.tar.gz 2589363 BLAKE2B e7e11a7d980599ac598f084608160d3f6f6cf8e2aab5fb45cc15cabca30462bd03db7b9ecc140826c5d7b5e26f49b48f7f2b6043bdc2ffa1d73167347fb8123f SHA512 0920f25adf68f1b8ccd1734c5d61ba1c858cd86b342db7b5155dd9b58e538aa96aad3fd4058597f079ec3df63cb51d2900ac8e6d9c84d6f2bd4a3a22cc0c967c
+DIST ntpsec-1.1.9.tar.gz 2606066 BLAKE2B bbc482333c7f86936fa20751df1b427bc24be159969050caf5751e26724714bbf6491b120986563497f015c96ac9cdbdf0e999c6446a68798aff23076f631ecc SHA512 e04267aa675a5b528f3478d00329a569ecb9bbe2b6ad18697020854d2ee451bc188c4603cd5f420a08a7e3bf047d2db1301416f57f9156df23aceb1f57303b0b
diff --git a/net-misc/ntpsec/ntpsec-1.1.9.ebuild b/net-misc/ntpsec/ntpsec-1.1.9.ebuild
new file mode 100644
index 00000000000..0692e84af87
--- /dev/null
+++ b/net-misc/ntpsec/ntpsec-1.1.9.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE='threads(+)'
+
+inherit flag-o-matic python-r1 waf-utils systemd
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://gitlab.com/NTPsec/ntpsec.git"
+else
+ SRC_URI="ftp://ftp.ntpsec.org/pub/releases/${PN}-${PV}.tar.gz"
+ RESTRICT="mirror"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="The NTP reference implementation, refactored"
+HOMEPAGE="https://www.ntpsec.org/"
+
+NTPSEC_REFCLOCK=(
+ oncore trimble truetime gpsd jjy generic spectracom
+ shm pps hpgps zyfer arbiter nmea neoclock modem
+ local)
+
+IUSE_NTPSEC_REFCLOCK=${NTPSEC_REFCLOCK[@]/#/rclock_}
+
+LICENSE="HPND MIT BSD-2 BSD CC-BY-SA-4.0"
+SLOT="0"
+IUSE="${IUSE_NTPSEC_REFCLOCK} debug doc early gdb heat libbsd nist ntpviz samba seccomp smear tests" #ionice
+REQUIRED_USE="${PYTHON_REQUIRED_USE} nist? ( rclock_local )"
+
+# net-misc/pps-tools oncore,pps
+CDEPEND="${PYTHON_DEPS}
+ sys-libs/libcap
+ dev-python/psutil[${PYTHON_USEDEP}]
+ libbsd? ( dev-libs/libbsd:0= )
+ dev-libs/openssl:0=
+ seccomp? ( sys-libs/libseccomp )
+"
+RDEPEND="${CDEPEND}
+ ntpviz? ( sci-visualization/gnuplot media-fonts/liberation-fonts )
+ !net-misc/ntp
+ !net-misc/openntpd
+ acct-group/ntp
+ acct-user/ntp
+"
+DEPEND="${CDEPEND}
+ app-text/asciidoc
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+ sys-devel/bison
+ rclock_oncore? ( net-misc/pps-tools )
+ rclock_pps? ( net-misc/pps-tools )
+"
+
+WAF_BINARY="${S}/waf"
+
+src_prepare() {
+ default
+ # Remove autostripping of binaries
+ sed -i -e '/Strip binaries/d' wscript
+ if ! use libbsd ; then
+ epatch "${FILESDIR}/${PN}-no-bsd.patch"
+ fi
+ python_copy_sources
+}
+
+src_configure() {
+ is-flagq -flto* && filter-flags -flto* -fuse-linker-plugin
+
+ local string_127=""
+ local rclocks="";
+ local CLOCKSTRING=""
+
+ for refclock in ${NTPSEC_REFCLOCK[@]} ; do
+ if use rclock_${refclock} ; then
+ string_127+="$refclock,"
+ fi
+ done
+ CLOCKSTRING="`echo ${string_127}|sed 's|,$||'`"
+
+ local myconf=(
+ --nopyc
+ --nopyo
+ --refclock="${CLOCKSTRING}"
+ --build-epoch="$(date +%s)"
+ $(use doc && echo "--enable-doc")
+ $(use early && echo "--enable-early-droproot")
+ $(use gdb && echo "--enable-debug-gdb")
+ $(use samba && echo "--enable-mssntp")
+ $(use seccomp && echo "--enable-seccomp")
+ $(use smear && echo "--enable-leap-smear")
+ $(use tests && echo "--alltests")
+ $(use debug && echo "--enable-debug")
+ )
+
+ python_configure() {
+ waf-utils_src_configure "${myconf[@]}"
+ }
+ python_foreach_impl run_in_build_dir python_configure
+}
+
+src_compile() {
+ unset MAKEOPTS
+ python_compile() {
+ waf-utils_src_compile
+ }
+ python_foreach_impl run_in_build_dir python_compile
+}
+
+src_install() {
+ python_install() {
+ waf-utils_src_install
+ }
+ python_foreach_impl run_in_build_dir python_install
+ python_foreach_impl python_optimize
+
+ # Install heat generating scripts
+ use heat && dosbin "${S}"/contrib/ntpheat{,usb}
+
+ # Install the openrc files
+ newinitd "${FILESDIR}"/ntpd.rc-r2 ntp
+ newconfd "${FILESDIR}"/ntpd.confd ntp
+
+ # Install the systemd unit file
+ systemd_newunit "${FILESDIR}"/ntpd-r1.service ntpd.service
+
+ # Prepare a directory for the ntp.drift file
+ mkdir -pv "${ED}"/var/lib/ntp
+ chown ntp:ntp "${ED}"/var/lib/ntp
+ chmod 770 "${ED}"/var/lib/ntp
+ keepdir /var/lib/ntp
+
+ # Install a log rotate script
+ mkdir -pv "${ED}"/etc/logrotate.d
+ cp -v "${S}"/etc/logrotate-config.ntpd "${ED}"/etc/logrotate.d/ntpd
+
+ # Install the configuration file and sample configuration
+ cp -v "${FILESDIR}"/ntp.conf "${ED}"/etc/ntp.conf
+ cp -Rv "${S}"/etc/ntp.d/ "${ED}"/etc/
+
+ # move doc files to /usr/share/doc/"${P}"
+ use doc && mv -v "${ED}"/usr/share/doc/"${PN}" "${ED}"/usr/share/doc/"${P}"/html
+}
+
+pkg_postinst() {
+ einfo "If you want to serve time on your local network, then"
+ einfo "you should disable all the ref_clocks unless you have"
+ einfo "one and can get stable time from it. Feel free to try"
+ einfo "it but PPS probably won't work unless you have a UART"
+ einfo "GPS that actually provides PPS messages."
+}
diff --git a/net-misc/ntpsec/ntpsec-9999.ebuild b/net-misc/ntpsec/ntpsec-9999.ebuild
index deb37a522fe..0692e84af87 100644
--- a/net-misc/ntpsec/ntpsec-9999.ebuild
+++ b/net-misc/ntpsec/ntpsec-9999.ebuild
@@ -11,12 +11,10 @@ inherit flag-o-matic python-r1 waf-utils systemd
if [[ ${PV} == *9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://gitlab.com/NTPsec/ntpsec.git"
- BDEPEND=""
- KEYWORDS=""
else
SRC_URI="ftp://ftp.ntpsec.org/pub/releases/${PN}-${PV}.tar.gz"
RESTRICT="mirror"
- BDEPEND=""
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
fi
DESCRIPTION="The NTP reference implementation, refactored"
@@ -36,7 +34,6 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE} nist? ( rclock_local )"
# net-misc/pps-tools oncore,pps
CDEPEND="${PYTHON_DEPS}
- ${BDEPEND}
sys-libs/libcap
dev-python/psutil[${PYTHON_USEDEP}]
libbsd? ( dev-libs/libbsd:0= )